org.apache.cassandra.io

## Interface ISerializer<T>

All Known Subinterfaces:
  CType.Serializer

All Known Implementing Classes:
  ColumnSerializer, DeletionTime.Serializer, EstimatedHistogram.EstimatedHistogramSerializer, IndexHelper.IndexInfo.Serializer, ReplayPosition.ReplayPositionSerializer, StreamingHistogram.StreamingHistogramSerializer

    public interface ISerializer<T>

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `deserialize(java.io.DataInput in)` Deserialize from the specified DataInput instance.
`void` `serialize(T t, DataOutputPlus out)` Serialize the specified type into the specified DataOutput instance.
`long` `serializedSize(T t, TypeSizes type)`

### Method Detail

#### serialize

    void serialize(T t,
                   DataOutputPlus out)
            throws java.io.IOException

Serialize the specified type into the specified DataOutput instance.

Parameters:
  `t` - type that needs to be serialized
  `out` - DataOutput into which serialization needs to happen.
Throws:
  `java.io.IOException`

#### deserialize

    T deserialize(java.io.DataInput in)
           throws java.io.IOException

Deserialize from the specified DataInput instance.

Parameters:
  `in` - DataInput from which deserialization needs to happen.
Returns:
  the type that was deserialized
Throws:
  `java.io.IOException`

#### serializedSize

    long serializedSize(T t,
                        TypeSizes type)